Bug 1414909 - Multiple update environment allows clearing environment for hosts connected to a Puppet Master
Summary: Multiple update environment allows clearing environment for hosts connected t...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 17:21 UTC by Waldirio M Pinheiro
Modified: 2018-09-04 17:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:45:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19152 0 None None None 2017-04-04 08:47:49 UTC

Description Waldirio M Pinheiro 2017-01-19 17:21:36 UTC
Description of problem:
After define one puppet environment, isn't possible remove this one when accessing / editing content host, clear the information from puppet environment and submit. We receive the message like below
"can't be blank"
btw, when accessing via Hosts - All hosts - <select the content host> - Select action - Change Environment - *clear environment* - Submit works fine.

Version-Release number of selected component (if applicable):
6.2.6

How reproducible:
100

Steps to Reproduce:
1. Steps on description


Actual results:
Puppet environment still the same

Expected results:
Clear puppet environment.

Additional info:
Adding one video just to show the steps on my lab.

Comment 2 Brad Buckingham 2017-01-20 15:18:41 UTC
Note: description reference 'Content Host'; however, the interaction is on 'All Hosts' page.

Comment 4 Tomer Brisker 2017-04-04 08:44:35 UTC
The actual bug here is that removing the environment works using the multiple action menu. A host that is attached to a puppet master must have an environment defined. If you wish to clear the environment field you must also clear the puppet master field. Updating title to reflect that.

Comment 5 Tomer Brisker 2017-04-04 08:47:47 UTC
Connecting redmine issue http://projects.theforeman.org/issues/19152 from this bug

Comment 6 Bryan Kearney 2018-09-04 17:45:22 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.